package com.izouma.awesomeadmin.service;

import java.util.List;

import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.TableField;

/**
 * table_field service接口类
 * Fri May 04 13:38:24 CST 2018  Suo Chen Cheng
 */ 
public interface TableFieldService {

	List <TableField> getTableFieldList(TableField record);

	List <TableField> getTableFieldByPage(Page page, TableField record);

	TableField getTableFieldById(String id);

	TableField getTableField(TableField record);

	boolean createTableField(TableField record);

	boolean deleteTableField(String id);

	boolean updateTableField(TableField record);

}

